#ifndef __EGAFONT_H__
#define __EGAFONT_H__

#if defined(HAVE_MBSTOWCS) && defined(WCHAR_SUPPORT)
#define TET_USE_WIDE_CHARS
typedef  wchar_t tchar;
#else
typedef  unsigned char tchar;
#endif

char *egaLoadFont(char *fontFilename, char *fontFileDir, char *mes);
int  egaShowText(char *text, int x, int y, int fgcol, int bgcol);
int  egaShowScaledText(char *text, int x, int y,
                      int fgcol, int bgcol, int hscale, int vscale);
int  egaSetFont(char *Font);
int  egaGetFontHeight(void);
int  egaGetTextWidth(char *text);
void egaFreeFont(char *Font);

char *egaGetFontPtr(int chr);


#define EGAFONT_HFLIP 1
#define EGAFONT_VFLIP 2 
int egaShowCharSpecial(tchar b, int x, int y, int fgcol, int bgcol,
                       int hscale, int vscale, int flags);

typedef enum
{  
   FONT_TYPE_CONSOLE,
   FONT_TYPE_X11_CONSOLE,
   FONT_TYPE_X11_NATURAL
} FONT_TYPE;
   

FONT_TYPE egaFontType(void);

#endif

